#!/bin/bash

echo "Syncing user with alacritty..."
rsync --recursive $(dirname "$0")/alacritty/ ~/.config/alacritty 
echo "Syncing user with hypr..."
rsync --recursive $(dirname "$0")/hypr/ ~/.config/hypr 
echo "Syncing user with nvim..."
rsync --recursive $(dirname "$0")/nvim/ ~/.config/nvim 
echo "Syncing user with tmux..."
echo "  Note: prefix + I for tmux setup"
mkdir -p ~/tmux
rsync --recursive $(dirname "$0")/tmux/tmux.conf ~/.config/tmux/tmux.conf
echo "Syncing user with waybar..."
rsync --recursive $(dirname "$0")/waybar/ ~/.config/waybar 
echo "Syncing complete!"
